%define major 0
%define libname %mklibname sofia-sip-ua %{major}

%define gmajor 3
%define glibname %mklibname sofia-sip-ua-glib %{gmajor}

%define develname %mklibname -d %{name}
%define staticdevelname %mklibname -d -s %{name}


Summary:	RFC3261 compliant SIP User-Agent library
Name:		sofia-sip
Version:	1.13.17
Release:	%mkrel 3
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		https://github.com/freeswitch/sofia-sip
Source0:	https://github.com/freeswitch/sofia-sip/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		sofia-sip-linking.patch
Patch2:		0001-Fix-incompatible-pointer-type-in-sip_basic.c.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	autoconf
BuildRequires:	automake

%description
Sofia-SIP is an open-source SIP  User-Agent library,
compliant with the IETF RFC3261 specification (see the
feature table). It can be used as a building block for
SIP client software for uses such as VoIP, IM, and many
other real-time and person-to-person communication services.
The primary target platform for Sofia-SIP is GNU/Linux.
Sofia-SIP is based on a SIP stack developed at the Nokia
Research Center. Sofia-SIP is licensed under the LGPL.

%package -n %{libname}
Summary:	RFC3261 compliant SIP User-Agent library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Requires:	%name = %version-%release
Obsoletes:	%{_lib}sofia-sip0 < 1.13.8-2

%description -n %{libname}
Library for %{name}.

%package -n %{glibname}
Summary:        Sofia-SIP library bindings for glib
Group:          System/Libraries
Conflicts:	%{_lib}sofia-sip0 < 1.13.8-2

%description -n %{glibname}
Library for %{name}.

%package -n %{develname}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{glibname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	sofia-sip-ua-devel = %{version}-%{release}
Provides:	sofia-sip-ua-glib-devel = %{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%package -n %{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
Static development files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install


%files -n %{name}
%{_bindir}/addrinfo
%{_bindir}/localinfo
%{_bindir}/sip-date
%{_bindir}/sip-dig
%{_bindir}/sip-options
%{_bindir}/stunc
#%%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libsofia-sip-ua.so.%{major}{,.*}

%files -n %{glibname}
%{_libdir}/libsofia-sip-ua-glib.so.%{gmajor}{,.*}

%files -n %{develname}
%{_datadir}/sofia-sip/msg_parser.awk
%{_datadir}/sofia-sip/tag_dll.awk
%{_includedir}/sofia-sip-1.13/
%{_libdir}/libsofia-sip-ua-glib.so
%{_libdir}/libsofia-sip-ua.so
%{_libdir}/pkgconfig/sofia-sip-ua-glib.pc
%{_libdir}/pkgconfig/sofia-sip-ua.pc

%files -n %{staticdevelname}
%{_libdir}/libsofia-sip-ua.a
%{_libdir}/libsofia-sip-ua-glib.a


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.13.17-3.mga10
+ Revision: 2228244
- Mageia 10 Mass Rebuild

* Thu Sep 26 2024 daviddavid <daviddavid> 1.13.17-2.mga10
+ Revision: 2101303
- backport upstream patch to fix build with GCC 14

* Tue Jan 09 2024 daviddavid <daviddavid> 1.13.17-1.mga10
+ Revision: 2029192
- new version: 1.13.17

* Wed Sep 20 2023 daviddavid <daviddavid> 1.13.16-1.mga10
+ Revision: 1988482
- new version: 1.13.16

* Sat Jun 17 2023 daviddavid <daviddavid> 1.13.15-1.mga9
+ Revision: 1962223
- new version: 1.13.15, fixes CVE-2023-32307 (mga#32020)

* Fri Feb 24 2023 daviddavid <daviddavid> 1.13.14-1.mga9
+ Revision: 1945189
- new version: 1.13.14, fixes CVE-2022-47516 (mga#31588)

* Fri Jan 27 2023 daviddavid <daviddavid> 1.13.12-1.mga9
+ Revision: 1936407
- new version: 1.13.12

* Tue Jan 10 2023 daviddavid <daviddavid> 1.13.11-1.mga9
+ Revision: 1932041
- new version: 1.13.11

* Wed Dec 28 2022 daviddavid <daviddavid> 1.13.10-1.mga9
+ Revision: 1927307
- new version: 1.13.10

* Tue Sep 06 2022 wally <wally> 1.13.8-2.mga9
+ Revision: 1884442
- split out libraries with different lib majors
- update pkg summaries

* Tue Sep 06 2022 wally <wally> 1.13.8-1.mga9
+ Revision: 1884423
- update Url
+ neoclust <neoclust>
- New version 1.13.8

* Sat Mar 19 2022 umeabot <umeabot> 1.12.11-13.mga9
+ Revision: 1799958
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1.12.11-12.mga9
+ Revision: 1789999
- fix files list
+ wally <wally>
- rebuild for openssl 3.0.0

* Fri Feb 14 2020 umeabot <umeabot> 1.12.11-10.mga8
+ Revision: 1517141
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.12.11-9.mga7
+ Revision: 1301098
- Mageia 7 Mass Rebuild

* Wed Sep 06 2017 cjw <cjw> 1.12.11-8.mga7
+ Revision: 1151647
- rebuild for openssl 1.1

* Thu Mar 03 2016 umeabot <umeabot> 1.12.11-7.mga6
+ Revision: 984111
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 1.12.11-6.mga6
+ Revision: 958903
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12.11-5.mga5
+ Revision: 750556
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.12.11-4.mga5
+ Revision: 725235
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.12.11-3.mga5
+ Revision: 689235
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.12.11-2.mga4
+ Revision: 540667
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 1.12.11-1.mga4
+ Revision: 494163
- 1.12.11
  P0 & P1 merged upstream

* Mon Jan 14 2013 umeabot <umeabot> 1.12.10-6.mga3
+ Revision: 382290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ colin <colin>
- imported package sofia-sip


* Mon Jul 24 2011 Colin Guthrie <colin@mageia.org> 1.12.10-5.mga2
- Initial package for Mageia

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.10-4mdv2011.0
+ Revision: 614936
- the mass rebuild of 2010.1 packages

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1.12.10-3mdv2010.1
+ Revision: 533648
- rebuild

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1.12.10-2mdv2010.0
+ Revision: 445138
- rebuild

* Mon Jan 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.12.10-1mdv2009.1
+ Revision: 331410
- Update to new version 1.12.10
- Fix license
- Add Fedora patch to fix linking
- Add patch to fix building with -Werror=format-security
- Use %%{buildroot} instead of $RPM_BUILD_ROOT in SPEC file
- Disable rpath

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Michael Scherer <misc@mandriva.org> 1.12.8-1mdv2008.1
+ Revision: 178325
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 1.12.6-3mdv2008.0
+ Revision: 54312
- correct file list
- fix static devel requires

* Thu Jul 12 2007 Funda Wang <fwang@mandriva.org> 1.12.6-2mdv2008.0
+ Revision: 51616
- New devel package policy

* Wed May 02 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.12.6-1mdv2008.0
+ Revision: 20667
- Added missing BuildRequires for glib2-devel.
- Added missing BuildRequires for libopenssl-devel.
- Splitted *.a files into a new static-devel subpackage.
- Updated to 1.12.6.


* Tue Apr 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.11.7-2mdk
- Fix BuildRequires

* Thu Mar 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.11.7-1mdk
- First mandriva release

